﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Activation;
using System.ServiceModel.Web;
using System.Text;

namespace DivinationWebRole.Service
{
    [ServiceContract(Namespace = "")]
    [AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
    public class DivineService
    {
        // HTTP GET を使用するために [WebGet] 属性を追加します (既定の ResponseFormat は WebMessageFormat.Json)。
        // XML を返す操作を作成するには、
        //     [WebGet(ResponseFormat=WebMessageFormat.Xml)] を追加し、
        //     操作本文に次の行を含めます。
        //         WebOperationContext.Current.OutgoingResponse.ContentType = "text/xml";
        [OperationContract]
        [WebGet(UriTemplate = "card/{zodiac}",
                ResponseFormat = WebMessageFormat.Json)]
        public Entity.Card DrawCard(string zodiac)
        {
            // 操作の実装をここに追加してください
            var random = new Random();
            var card = new Entity.Card();
            card.Rank = random.Next(10) + 1;
            card.Description = "This is a sample " + zodiac + " Card.";
            return card;
        }

        // 追加の操作をここに追加して、[OperationContract] とマークしてください
    }
}
